---
title: MediaKeyMessageEvent
slug: Web/API/MediaKeyMessageEvent
tags:
  - API
  - EncryptedMediaExtensions
  - MediaKeyMessageEvent
  - NeedsContent
  - NeedsExample
  - Reference
---
<div>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</div>

<p>The <strong><code>MediaKeyMessageEvent</code></strong> interface of the <a href="/en-US/docs/Web/API/EncryptedMediaExtensions_API">EncryptedMediaExtensions API</a> contains the content and related data when the content decryption module generates a message for the session.</p>

<p>{{InheritanceDiagram}}</p>

<h2 id="Constructor">Constructor</h2>

<dl>
	<dt>{{domxref("MediaKeyMessageEvent.MediaKeyMessageEvent","MediaKeyMessageEvent()")}}</dt>
	<dd>Creates a new instance of <code>MediaKeyMessageEvent</code>.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<p>Inherits properties from its parent, {{domxref("Event")}}.</p>

<dl>
	<dt>{{domxref("MediaKeyMessageEvent.message")}} {{readonlyinline}}</dt>
	<dd>Returns an {{jsxref("ArrayBuffer")}} with a message from the content decryption module. Messages vary by key system.</dd>
	<dt>{{domxref("MediaKeyMessageEvent.messageType")}} {{readonlyinline}}</dt>
	<dd>Indicates the type of message. May be one of <code>license-request</code>, <code>license-renewal</code>, <code>license-release</code>, or <code>individualization-request</code>.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>Inherits methods from its parent, {{domxref("Event")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// TBD</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('EME', '#mediakeymessageevent', 'MediaKeyMessageEvent')}}</td>
			<td>{{Spec2('EME')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeyMessageEvent")}}</p>
</div>
